View Issue Details

IDProjectCategoryView StatusLast Update
0000004SymmetricDSNew Featurepublic2014-02-02 20:50
ReporterAssigned Tochenson 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.1 
Target Version2.4.0Fixed in Version2.4.0 
Summary0000004: Stream LOB (large object), BLOB, and CLOB columns
DescriptionBoth CLOBs and BLOBs are read into memory and sent to the database using parametrized statements. This places limits on the size of the LOBs. For example, MySQL will only allow around 32K to be sent as a parameter using this method. Other databases will have similar limits, and reading the data into memory puts a limit on the application memory. We should use InputStream/OutputStream with proper LOB support through JDBC (java.sql.Blob) or Spring (LobHandler).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 40ad5065

2008-05-14 17:27:12

chenson

Details Diff
Fixed 1.4.0 bug. Last ack's ok status in a batch had a line feed and was getting recorded as an error. Also fixed a log message and the injection of some missing services (keith's stuff)
0000001, 0000004
mod - symmetric/src/main/java/org/jumpmind/symmetric/service/impl/BootstrapService.java Diff File
mod - symmetric/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric/src/main/resources/symmetric-web.xml Diff File

Issue History

Date Modified Username Field Change
2014-02-02 20:50 Changeset attached => SymmetricDS trunk r951
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 40ad5065
2015-07-30 21:50 chenson Assigned To => chenson
2015-07-30 21:50 chenson Status closed => resolved